# This script will read names you enter in the CC_drivers.txt file located
# in your work directory and build the driver wav files in the driver_names
# folder also found in the work directory.
#
# Enter your username between the quotation marks in the line below
# This is the same as your folder in c:\users. Do not change the USERNAME
# reference on the line that starts with the word "with".

USERNAME = "YourUsername"

from subprocess import call

def process(line):
    name = line.split(":")
    path = "driver_names\\" + name[0] + ".wav"
    text = name[1]
    print (path)
    print (text)
    call(['balcon', '-t', text, '-w', 'temp.wav'])
    call(['sox', 'temp.wav', 'temp1.wav', 'silence', '1', '0.1', '.02%', 'reverse', 'silence', '1', '0.1', '.02%', 'reverse', 'silence', '1', '0.1', '.01%', 'highpass', '800', 'tempo', '1.30']) 
    call(['sox', 'temp1.wav', path, 'vol', '7'])
    
with open ('\\users\\" + USERNAME + "\\Desktop\\My_Crewchief\\CC_drivers.txt','r') as data:
        for line in data:
            process (line)
   
