# This script will read the CC_voice.txt file in your work directory and
# create all the wav files in the voice folder also in the work directory

# Enter your username between the quotation marks in the line below
# This is the same as your folder in c:\users. Do not change the USERNAME
# reference on the line that starts with the word "path".

USERNAME = "YourUsername"

from subprocess import call

def process(line):
    name = line.split(":")
    path = "voice\\" + name[0]
    text = name[1]
    print (path)
    print (text)
    call(['balcon', '-t', text, '-w', 'temp.wav'])
    call(['sox', 'temp.wav', 'temp1.wav', 'silence', '1', '0.1', '.02%', 'reverse', 'silence', '1', '0.1', '.01%', 'reverse', 'silence', '1', '0.1', '.01%', 'highpass', '800', 'tempo', '1.30'])
    call(['sox', 'temp1.wav', path, 'vol', '7'])

path = "\\users\\" + USERNAME + "\\Desktop\\My_Crewchief\\CC_voice.txt"    
with open (path,'r') as data:
        for line in data:
            process (line)
      
